/***************************************************************************
 * compiler.h for Linux
 ***************************************************************************/
#ifndef _COMPILER_H_
#define _COMPILER_H_

#define COMPANY      "HighPoint Technologies, Inc."
#define COPYRIGHT    "(c) 2000-2003. HighPoint Technologies, Inc."

/*
 * function selection
 */
#define PRODUCT_NAME "HPT302/302N"
#define CHECK_SATA_DEVICE(pDev)

#define SUPPORT_HPT3XX
#define IS_SUPPORTED_DEVICEID(x) ((WORD)(x)==6)

#define SCAN_ALL_AT_BEGINNING
#define SCAN_PCI_BUS_FOR_DEVICE
#define SUPPORT_48BIT_LBA
#define MAX_QUEUE_COMM 32
#define MAX_SG_DESCRIPTORS 17
#define SUPPORT_IOCTL
#define SUPPORT_REMOVABLE_DISK
#define SUPPORT_DPLL
#define CLOCK_66MHZ
#define CHECK_CLOCK_SWITCH

#define MAX_VBUS   1
#define MAX_CHIPS   4
#define MAX_CHANNEL_PER_CHIP 2
#define MAX_CHANNELS (MAX_CHIPS * MAX_CHANNEL_PER_CHIP)
#define MAX_DEVICE_PER_CHANNEL 2
#define MAX_DEVICES  (MAX_CHANNELS * 2)
#define MAX_CHIP_IN_VBUS	MAX_CHIPS
#define MAX_VDEVICE_PER_VBUS MAX_DEVICES
#define MAX_ARRAY_NAME    16 /* can't >16, see hptintf.h */
#define MAX_MEMBERS       8  /* Maximum members in an array	*/

#endif /* _COMPILER_H_ */
